export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: '@/pages/user/Login',
          },
        ],
      },
      {
        component: '@/pages/404',
      },
    ],
  },
  {
    path: '/dashboard',
    name: '工作台',
    access:'admin',
    icon: 'DashboardOutlined',
    component: './dashboard',
  },  
  {
    path: '/',
    access:'admin',
    redirect: '/dashboard',
    hideInMenu: true,
  },
  {
    path: '/banner',
    name: '轮播图列表',
    access:'admin',
    icon: 'PictureOutlined',
    component: '@/pages/banner',
  },
  {
    path: '/banner/edit.jsx',
    name: '轮播图编辑',
    hideInMenu: true,
    component: '@/pages/banner/edit.jsx',
  },
  {
    path: '/notice',
    name: '通知列表',
    access:'admin',
    icon: 'BellOutlined',
    component: '@/pages/notice',
  },
  {
    path: '/notice/edit.jsx',
    name: '通知编辑',
    hideInMenu: true,
    component: '@/pages/notice/edit.jsx',
  },
  {
    path: '/applicationList',
    name: '申请列表',
    access:'admin',
    icon: 'FieldTimeOutlined',
    component: '@/pages/applicationList',
  },
  {
    path: '/applicationList/detail.jsx',
    name: '申请详情',
    hideInMenu: true,
    component: '@/pages/applicationList/detail.jsx',
  },
  {
    path: '/examine',
    name: '审核列表',
    access:'auditor',
    icon: 'AuditOutlined',
    component: '@/pages/examine',
  },
  {
    path: '/examine/detail.jsx',
    name: '犬证审核',
    hideInMenu: true,
    component: '@/pages/examine/detail.jsx',
  },
  {
    path: '/certificateIssuance',
    name: '证件发放',
    access:'maker',
    icon: 'FileDoneOutlined',
    component: '@/pages/certificateIssuance',
  },
  {
    path: '/certificateIssuance/issuance.jsx',
    name: '证件发放详情',
    hideInMenu: true,
    component: '@/pages/certificateIssuance/issuance.jsx',
  },
  {
    path: '/cardNoList',
    name: '证件制卡',
    access:'admin',
    icon: 'CreditCardOutlined',
    component: '@/pages/cardNoList',
  },
  {
    path: '/cardList',
    name: '证件列表',
    access:'admin',
    icon: 'IdcardOutlined',
    component: '@/pages/cardList',
  },
  {
    path: '/cardList/detail.jsx',
    name: '证件详情',
    access:'admin',
    hideInMenu: true,
    component: '@/pages/cardList/detail.jsx',
  },
  {
    path: '/userList',
    name: '犬主列表',
    access:'admin',
    icon: 'SolutionOutlined',
    component: '@/pages/userList',
  },
  {
    path: '/person',
    name: '人员列表',
    access:'admin',
    icon: 'UserOutlined',
    component: '@/pages/person',
  },
  {
    path: '/BasicParameters',
    name: '系统参数',
    access:'admin',
    icon: 'SettingOutlined',
    component: '@/pages/BasicParameters',
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
