import request from '@/utils/request';

/**
 * 保存通知
 * @param {*} data
 * @returns
 */
export const addNotice = (data) => request('/notice', { method: 'post', data });

/**
 * 修改通知
 * @param {*} data
 * @returns
 */
export const updateNotice = (id, data) => request(`/notice/${id}`, { method: 'put', data });

/**
 * 查询通知列表
 * @param {*} params
 * @returns
 */
export const getNoticeList = (params) => request('/notice', { params });

/**
 * 删除通知
 * @param {*} data
 * @returns
 */
export const deleteNotice = (id) => request(`/notice/${id}`, { method: 'delete' });

/**
 * 查询通知详情
 * @param {*} params
 * @returns
 */
export const getNoticeDetail = (id) => request(`/notice/${id}`);
